/** @file pex_altaccess.h Example plugin */

#ifndef FAUDES_PEX_ALTACCESS_H
#define FAUDES_PEX_ALTACCESS_H

#include "corefaudes.h"

namespace faudes {

/** @ingroup ExamplePlugin */
/** @{ doxygen group */

/**
 * Alternative accessibility algorithm. 
 * We use the alternative accessibility algorithm from tutorial 6 
 * for our example plugin. The implementation uses a todo stack to discover
 * accessible states and finaly remove all other states from the
 * input generator.
 *
 * @param rGen
 *   Input generator
 */

void AlternativeAccessible(vGenerator& rGen);


/** @} doxygen group */

} // namespace faudes

#endif 
